%def_disable static
%def_with nas
%def_without pulse

Name: libao
Version: 0.8.8
Release: alt1.13239

Summary: Cross Platform Audio Output Library
Summary(ru_RU.KOI8-R):     
License: GPL
Group: System/Libraries
Url: http://www.vorbis.com/

#Source0: http://fatpipe.vorbis.com/files/1.0/unix/%name-%version.tar.bz2

Source0: ao-r13239.tar.bz2

Packager: Igor Zubkov <icesik@altlinux.org>

Requires: %name-alsa = %version-%release
Requires: %name-oss = %version-%release

BuildPreReq: esound-devel >= 0.2.8

%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Jul 10 2007
BuildRequires: esound-devel gcc-c++ imake libarts-devel libaudio-devel libICE-devel libX11-devel xorg-cf-files

%description
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

%description -l ru_RU.KOI8-R
Libao -      .
    OSS, ALSA, ESD  ARTS. 

%package oss
Summary: OSS output plugin for libao
Group: System/Libraries

Requires: %name = %version-%release

%description oss
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

This is package contains OSS output plugin for libao.

%description -l ru_RU.KOI8-R oss
Libao -      .
    OSS, ALSA, ESD  ARTS. 

        OSS  libao.

%package alsa
Summary: ALSA output plugin for libao
Group: System/Libraries

Requires: %name = %version-%release

%description alsa
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

This is package contains ALSA output plugin for libao.

%description -l ru_RU.KOI8-R alsa
Libao -      .
    OSS, ALSA, ESD  ARTS. 

        ALSA  libao.

%package arts
Summary: aRts output plugin for libao
Group: System/Libraries

Requires: %name = %version-%release

%description arts
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

This is package contains aRts output plugin for libao.

%description -l ru_RU.KOI8-R arts
Libao -      .
    OSS, ALSA, ESD  ARTS. 

        aRts  libao.

%package esd
Summary: EsounD output plugin for libao
Group: System/Libraries

Requires: %name = %version-%release

Requires: esound >= 0.2.8

%description esd
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

This is package contains EsounD output plugin for libao.

%description -l ru_RU.KOI8-R esd
Libao -      .
    OSS, ALSA, ESD  ARTS. 

        EsounD  libao.

%if_with nas
%package nas
Summary: NAS output plugin for libao
Group: System/Libraries

Requires: %name = %version-%release

%description nas
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

This is package contains NAS output plugin for libao.

%description -l ru_RU.KOI8-R nas
Libao -      .
    OSS, ALSA, ESD  ARTS. 

        NAS  libao.
%endif

%package full
Summary: Virtual package for all libao plugins
Summary(ru_RU.KOI8-R):      libao
Group: System/Libraries

Requires: %name-alsa = %version-%release
Requires: %name-oss = %version-%release
Requires: %name-arts = %version-%release
%if_with nas
Requires: %name-nas = %version-%release
%endif
Requires: %name-esd = %version-%release

%if_with pulse
Requires: %name-pulse
%endif

%description full
Libao is a cross platform audio output library.
It currently supports ESD, OSS, ALSA, ARTS, Solaris, and IRIX.

Virtual package for all libao plugins.

%description full -l ru_RU.KOI8-R
Libao -      .
    OSS, ALSA, ESD  ARTS. 

     libao.

%package devel
Summary: Development files for %name
Summary(ru_RU.KOI8-R):   ,  %name
Group: Development/C
PreReq: %name = %version-%release

%description devel
The %name-devel package contains the header files and documentation
needed to develop applications with %name.

%description devel -l ru_RU.KOI8-R
    ,    %name
  .

%package devel-static
Summary: Static libraries for %name
Summary(ru_RU.KOI8-R):    %name 
Group: Development/C
PreReq: %name-devel = %version-%release

%description devel-static
This package contains development libraries required for packaging
statically linked %name-based software.

%description devel-static -l ru_RU.KOI8-R
     , 
  %name    .

%prep
%setup -q -n ao

%build
%__autoreconf
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static} \
	    --enable-esd \
	    --enable-arts \
	    --disable-alsa05 \
	    --enable-alsa \
%if_with nas
	    --enable-nas \
%else
	    --disable-nas \
%endif
	    --disable-pulse
%make_build

%install
%make_install DESTDIR=%buildroot install
%__install -p -m644 AUTHORS HACKING CHANGES README TODO %buildroot%_docdir/%name-%version/
%__mkdir_p %buildroot%_docdir/%name-%version/HTML/
%__mv %buildroot%_docdir/%name-%version/{*.html,*.css,*.c} %buildroot%_docdir/%name-%version/HTML

# creating config
%__mkdir_p %buildroot%_sysconfdir/
%__cat <<__CONFIG__ >%buildroot%_sysconfdir/%name.conf
# possible values for "default_driver" are: oss, esd, arts, alsa, nas, pulse
# Warning: some apps may crash with segfaults using arts output.
default_driver=alsa
__CONFIG__

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%config(noreplace) %_sysconfdir/%name.conf
%_libdir/*.so.*
%_man5dir/*
%dir %_docdir/%name-%version
%_docdir/%name-%version/AUTHORS
%_docdir/%name-%version/README
%dir %_libdir/ao
%dir %_libdir/ao/plugins-2
%exclude %_libdir/ao/plugins-2/*.la

%files oss
%_libdir/ao/plugins-2/liboss.so

%files alsa
%_libdir/ao/plugins-2/libalsa09.so

%files arts
%_libdir/ao/plugins-2/libarts.so

%files esd
%_libdir/ao/plugins-2/libesd.so

%if_with nas
%files nas
%_libdir/ao/plugins-2/libnas.so
%endif

%files full

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*
%_docdir/%name-%version/HTML
%_docdir/%name-%version/CHANGES
%_docdir/%name-%version/TODO
%_docdir/%name-%version/HACKING

%if_enabled static
%files devel-static
%_libdir/*.a
%_libdir/ao/plugins-2/*.a
%endif

%changelog
* Tue Jul 10 2007 Igor Zubkov <icesik@altlinux.org> 0.8.8-alt1.13239
- 0.8.6 -> 0.8.8 (from svn r13239)

* Wed Jun 27 2007 Igor Zubkov <icesik@altlinux.org> 0.8.6-alt11
- remove libao-pulse from requires of libao-full (closes #11922)

* Thu May 24 2007 Igor Zubkov <icesik@altlinux.org> 0.8.6-alt10
- enable nas support (closes #11860)

* Mon Mar 26 2007 Igor Zubkov <icesik@altlinux.org> 0.8.6-alt9
- disable nas support

* Tue Sep 05 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt8
- s/libao-polyp/libao-pulse/

* Sun Jun 25 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt7
- spec clean up
- add libao-polyp to libao-full package Requires

* Fri Mar 31 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt6
- add libao-oss and libao-alsa Requires to libao (#8633)

* Thu Mar 23 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt5
- disable polypaudio support

* Wed Mar 22 2006 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt4
- enable nas support
- buildreq

* Sun Dec 25 2005 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt3
- added polypaudio support
- #8633
- disable nas support

* Wed Sep 21 2005 Igor Zubkov <icesik@altlinux.ru> 0.8.6-alt2
- change %%make to %%make_build and %%make_install
- change default_driver from oss to alsa09 (#7421)
- mark config /etc/libao.conf as noreplace
- spec clean up

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 0.8.6-alt1
- 0.8.6

* Sun Mar 28 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.5-alt2
- Added BuildRequires to glib2-devel.

* Mon Mar 22 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.5-alt1
- 0.8.5

* Tue Feb 10 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.4-alt3
- Fixed build with new alsa.

* Wed Dec 03 2003 Alexey Tourbin <at@altlinux.ru> 0.8.4-alt2
- Do not package .la files.
- Do not package %name-devel-static by default.

* Fri Nov 21 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Mon Sep 15 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt3
- Removed possibility to build with old alsa.

* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt2
- rebuilt with gcc3.2.

* Mon Jul 22 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt3
- alsa2 by default now.

* Fri Jan 4 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt2
- added option for building with alsa or alsa2.

* Thu Jan 3 2002 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt1
- 0.8.2
- some updates.

* Tue Jan 1 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt4
- really built with alsa and arts support (see buildreq).
- /etc/libao.conf created.
- all *.la moved in devel package, html documentation separated.
- russian summary added for all packages.
- other spec cleanups.

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.8.0-alt2
- Relocated documentation, a bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 0.8.0-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sun Sep 03 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
